<?php
/*
Template Name: About
 */
get_header();
?>

<div class="about-mainbg">
    <div class="container">
        <div class="aboutbg-parent">
            <div class="aboutbg-inner">
                <h1><?php the_content();?></h1>
                <div class="imglogo">
                    <img src="<?php echo get_the_post_thumbnail_url(); ?>" />
                </div>
            </div>
        </div>
    </div>
</div>
</div>

<?php if (have_rows('about')):

// loop through the rows of data

    while (have_rows('about')): the_row();

        if (get_row_layout() == 'who_are_we_section') {

            include "template-parts/about/who-are-we-section.php";
            get_template_part('template-parts/candidates', 'section');
        }

        // if (get_row_layout() == 'candidates_section') {
        //     include "template-parts/about/about-candidates-section.php";
        // }

        if (get_row_layout() == 'what-we-do-section') {
            include "template-parts/about/what-we-do-section.php";
        }

    endwhile;
else:
endif;
?>


<?php get_footer();?>