<?php
/*
Template Name: Contact
 */
get_header();
?>
<div class="contact-mainbg">
    <div class="container">
        <div class="contact-parent">
            <div class="contact-inner">

                <h1><?php echo the_title(); ?></h1>
                <div class="imglogo">
                    <img src="<?php echo get_the_post_thumbnail_url(); ?>">
                </div>
            </div>
        </div>
    </div>
</div>
</div>


<?php if (have_rows('contact')):

// loop through the rows of data

    while (have_rows('contact')): the_row();

        if (get_row_layout() == 'contact_info_section') {
            include "template-parts/contact/info-section.php";
        }

        if (get_row_layout() == 'strategy_call_section') {
            include "template-parts/contact/strategy-call-section.php";
        }

        if (get_row_layout() == 'contact_form') {
            include "template-parts/contact/contact-form-section.php";
        }
    endwhile;
else:
endif;
?>

<?php get_footer();?>