<section class="aboutus-contentsection">

    <div class="aboutus-parent aboutus-leftsection-content">

        <div class="aboutus-inner">


            <div class="opportunity-left-inner">
                <?php
$image = get_sub_field('section_image');
if (!empty($image)): ?>
                <img src="<?php echo esc_url($image['url']); ?>" alt="<?php echo esc_attr($image['alt']); ?>" />
                <?php endif;?>
            </div>
            <div class="about-left-content">
                <h2><?php the_sub_field("section_heading");?></h2>
                <?php the_sub_field("section_content");?>

            </div>

        </div>

    </div>

</section>


<section class="aboutteam-section">
    <div class="container">
        <div class="row">
            <div class="aboutteam-inner">
                <div class="teamheading">
                    <h2>Meet the Team</h2>
                </div>

                <div class="team-parent-item">
                    <?php

// the query
$wpb_all_query = new WP_Query(array(

    'tax_query' => array(
        array(
            'taxonomy' => 'team-categories',
            'field' => 'slug',
            'terms' => 'about',
        ),
    ),
    'posts_per_page' => -1,
    'order' => 'ASC',
));?>

                    <?php if ($wpb_all_query->have_posts()): ?>

                    <?php while ($wpb_all_query->have_posts()): $wpb_all_query->the_post();?>

                    <div class="aboutteam-item">
                        <div class="img-team">
                            <img src="<?php echo get_the_post_thumbnail_url(); ?>">
                        </div>
                        <div class="team-content">
                            <h3><?php echo the_title(); ?></h3>
                            <?php echo the_field('member_designation'); ?>

                            <div class="viewbiography-parent">
                                <div class="viewbiography-div">
                                    <p>View Biography</p>
                                </div>


                                <div class="acc">
                                    <div class="acc__card">
                                        <div class="acc__title"></div>
                                        <div class="acc__panel"><?php the_content();?></div>
                                    </div>
                                </div>


                            </div>
                        </div>
                    </div>


                    <?php endwhile;
wp_reset_postdata();
?>
                    <?php else: ?>

                    <p><?php _e('Sorry, no team members');?></p>

                    <?php endif;?>

                </div>
            </div>

        </div>
    </div>
</section>
<script>
/* jQuery
================================================== */
jQuery(function() {
    jQuery('.acc__title').click(function(j) {

        var dropDown = jQuery(this).closest('.acc__card').find('.acc__panel');
        jQuery(this).closest('.acc').find('.acc__panel').not(dropDown).slideUp();

        if (jQuery(this).hasClass('active')) {
            jQuery(this).removeClass('active');
        } else {
            jQuery(this).closest('.acc').find('.acc__title.active').removeClass('active');
            jQuery(this).addClass('active');
        }

        dropDown.stop(false, true).slideToggle();
        j.preventDefault();
    });
});
</script>