<?php
$bullets = get_sub_field('candidate_alternate_sections');

if ($bullets) {
    $counter = 1;
    foreach ($bullets as $bullet) {
        ?>

<section
    class="<?php if (($counter % 2) == 0): ?>candidate-opportunity candidate-section2<?php else: ?>candidate-opportunity<?php endif;?>">
    <div class="container">
        <div class="opportunity-parent">
            <div class="opportunity-left">
                <div class="opportunity-left-inner">
                    <h2><?php echo $bullet['section_heading']; ?></h2>
                    <p><?php echo $bullet['section_description']; ?> </p>
                </div>
            </div>

            <div class="opportunity-right">
                <div class="opportunity-right-inner">
                    <?php
$image = $bullet['section_image'];
        if (!empty($image)): ?>
                    <img src="<?php echo $image['url']; ?>" alt="<?php echo esc_attr($image['alt']); ?>" />
                    <?php endif;?>
                </div>
            </div>
        </div>
    </div>
</section>
<?php
$counter++;
    }
}
?>