<section class="hometeam">
    <div class="homegraybg">
        <div class="container">
            <div class="hometeam-inner">
                <span class="light_blue_heading"><?php the_sub_field("section_name");?></span>
                <h2 class="blue_heading"><?php the_sub_field("main_heading");?> </h2>
                <p class="p_style"><?php the_sub_field("section_description");?> </p>
            </div>
        </div>

    </div>

    <div class="hometeam-items-parent">

        <?php

// the query
$wpb_all_query = new WP_Query(array(

    'tax_query' => array(
        array(
            'taxonomy' => 'team-categories',
            'field' => 'slug',
            'terms' => 'home',
        ),
    ),
    'posts_per_page' => -1,
    'order' => 'ASC',
));?>

        <?php if ($wpb_all_query->have_posts()): ?>

        <?php while ($wpb_all_query->have_posts()): $wpb_all_query->the_post();?>

        <div class="teamitem">
            <img src="<?php echo get_the_post_thumbnail_url(); ?>">
            <div class="teamhovereffect">
                <div class="teamhover-inner">
                    <div class="teamhover-left">
                        <h4><?php the_title();?></h4>
                        <span><?php echo the_content(); ?></span>
                    </div>
                    <div class="teamhover-right"><a href="#"><i class="far fa-long-arrow-right"></i></a></div>
                </div>
            </div>
        </div>

        <?php endwhile;
wp_reset_postdata();
?>
        <?php else: ?>

        <p><?php _e('Sorry, no team members');?></p>

        <?php endif;?>


    </div>



</section>