<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package starfyn
 */

?>

<footer>
    <div class="container">
        <div class="footer-inner">
            <div class="footer-item">
                <?php if (is_active_sidebar('footer-1')) {
    dynamic_sidebar('footer-1');
}
?>
            </div>

            <div class="footer-item">
                <?php if (is_active_sidebar('footer-2')) {
    dynamic_sidebar('footer-2');
}
?>
            </div>

            <div class="footer-item">
                <?php if (is_active_sidebar('footer-3')) {
    dynamic_sidebar('footer-3');
}
?>

            </div>

        </div>
    </div>

    <div class="copyright">
        <p>&copy; <?php echo date('Y'); ?> Copyright Starfyn. All Rights Reserved </p>
    </div>
</footer>


<?php wp_footer();?>

</body>

</html>