<?php
/*
Single Jobs Template
 */
get_header();
?>

<div class="candidates-mainbg joblisting-detail">
    <div class="container">
        <div class="candidatesbg-parent">
            <div class="candidatesbg-inner">
                <h1><?php echo the_field('job_title'); ?></h1>
                <img width="500px" src="<?php echo get_the_post_thumbnail_url(); ?>" />
            </div>
        </div>
    </div>
</div>
</div>





<section class="suportworker-detailpage">
    <div class="container">
        <h2 class="blue_heading"><?php echo the_title(); ?></h2>

        <div class="supportworker-inner">
            <div class="supportworker-left">
                <div class="supportworker-left-inner">
                    <?php echo the_content(); ?>
                </div>
            </div>

            <div class="supportworker-right">
                <div class="supportworker-right-inner">
                    <h3>Job Details</h3>
                    <div class="jobdetail-item-parent">
                        <div class="jobdetail-item">
                            <div>Location:</div>
                            <div>Carshalton</div>
                        </div>

                        <div class="jobdetail-item">
                            <div>Discipline:</div>
                            <div>Special Needs Staff</div>
                        </div>

                        <div class="jobdetail-item">
                            <div>Job type:</div>
                            <div>Long Term Contract</div>
                        </div>

                        <div class="jobdetail-item">
                            <div>Salary:</div>
                            <div>£80 - £110 per day</div>
                        </div>

                        <div class="jobdetail-item">
                            <div>Contact name:</div>
                            <div>Tom Drury</div>
                        </div>

                        <div class="jobdetail-item">
                            <div>Contact email:</div>
                            <div>tom@starfyn.co.uk</div>
                        </div>

                        <div class="jobdetail-item">
                            <div>Published:</div>
                            <div>21 days ago</div>
                        </div>
                        <div class="jobdetail-item">
                            <div>Start date:</div>
                            <div>31/10/2022</div>
                        </div>
                    </div>
                </div>
            </div>

        </div>




        <div class="uploadresume">
            <div class="uploadresume-inner modalcontact-parent">
                <?php echo do_shortcode('[contact-form-7 id="333" title="Job Details Contact Form"]'); ?>
            </div>
        </div>

    </div>
</section>

<?php
get_footer();