<section class="checkguide">
    <div class="container">
        <div class="checkguide-inner">
            <h2><?php the_sub_field("section_heading");?></h2>
            <p><?php the_sub_field("section_description");?> </p>

            <div class="checkguide-items-parent">
                <?php
$guide_blocks = get_sub_field('checkguide_items');

if ($guide_blocks) {
    foreach ($guide_blocks as $guide_block) {
        ?>

                <div class="checkguide-item">
                    <?php $image = $guide_block['guide_image'];
        if (!empty($image)): ?>
                    <img src="<?php echo $image['url']; ?>" alt="<?php echo esc_attr($image['alt']); ?>" />
                    <?php endif;?>
                    <div class="guide-anchor">
                        <h3><?php echo $guide_block['guide_title']; ?></h3>
                        <a href="#">
                            <span><?php echo $guide_block['guide_link_text']; ?> <i
                                    class="far fa-arrow-right"></i></span>
                        </a>
                    </div>
                </div>
                <?php
}
}?>


            </div>
        </div>
    </div>
</section>